System 2.0.0.0 4.0.0.0 System.Enum

This enumeration is used with the event.

A serial port pin changes state when it is asserted or unasserted.

Specifies the type of change that occurred on the object.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.Ports.SerialPinChange

  A break was detected on input.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.Ports.SerialPinChange

  The Carrier Detect (CD) signal changed state. This signal is used to indicate whether a modem is connected to a working phone line and a data carrier signal is detected.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.Ports.SerialPinChange

  The Clear to Send (CTS) signal changed state. This signal is used to indicate whether data can be sent over the serial port.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.Ports.SerialPinChange

  The Data Set Ready (DSR) signal changed state. This signal is used to indicate whether the device on the serial port is ready to operate.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.Ports.SerialPinChange

  A ring indicator was detected.